<div class='card'>
    <div class='card-header'>
        {{pageTitle}}
    </div>
    <div class='card-body'>
        <div class='row'>
            <div class='col-md-2'>Filter by: {{filterText}}</div>
            <div class='col-md-4'>
                <input type='text' [(ngModel)]="filterText" (ngModelChange)="modelOnChange($event)" />
            </div>
        </div>
        <div class='table-responsive'>
            <table class='table'>
                <thead>
                    <tr>
                        <th>
                            <button class='btn btn-primary' (click)="toggleImage()">
                {{showImage ? 'Hide' : 'Show'}} Image
              </button>
                        </th>
                        <th>Product</th>
                        <th>Code</th>
                        <th>Available</th>
                        <th>Price</th>
                        <th>5 Star Rating</th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let product of filtereProducts">
                        <td>
                            <img [style.visibility]="showImage ? 'unset': 'hidden'" [src]="product.imageUrl" [title]="product.productName">
                        </td>
                        <td>
                            <a [routerLink]="[ '/products', product.id ]" [queryParams]="{filterText : filterText, showImage: showImage}">{{ product.productName }}</a>
                        </td>
                        <td>{{ product.productCode | lowercase | minusConvertToSpace:'-' }}</td>
                        <td>{{ product.releaseDate }}</td>
                        <td>{{ product.price}}</td>
                        <td>
                            <app-start [rating]="product.starRating" (starClicked)="starClicked($event)"></app-start>
                        </td>
                        <td><button [routerLink]="['/products', product.id, 'edit']" class="btn btn-primary">Edit</button></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <div class="card-footer"></div>
</div>
